using System;
using System.Dynamic;

namespace kvalifikacije_A
{
    class Program
    {
        static void Main(string[] args)
        {
            int[] A = new int [100001];
            int[] B = new int[200001];
            int n, k, i, j, p;
            string[] str;
            str = Console.ReadLine().Split();
            n = int.Parse(str[0]);
            k = int.Parse(str[1]);
            for  (i = 1; i <= n; i++)
            {
                A [i] = int.Parse(Console.ReadLine());
            }
            for (i = 1; i <= n; i++)
            {
                j = A[i] + n + 1;
                B[j]++;
            }
            for (i = 1; i <= 2 * n + 1; i++)
            {
                if (B [i] >= k)
                {
                    p = i - n + 1;
                    Console.WriteLine(p);
                }
            }
        }
    }
}